Loading...
Searching...
No Matches
FormatOps::LogsFormat Struct Reference

Structure which holds informations about a log format. More...

`#include <formats.h>`

## Public Attributes

std::string | string
| The logs format string.
std::string | initial
| The initial separator.
std::string | final
| The final separator.
std::vector< std::string > | separators
| The separators in the middle.
std::vector< std::string > | fields
| The fields.
int | new_lines
| The number of new lines.

## Detailed Description

Structure which holds informations about a log format.

The documentation for this struct was generated from the following file:

- logdoctor/modules/craplog/modules/formats.h